<aside class="col-sm-12">
<div class="widget">
    <div class="widget-header">
        <h3>操作紀錄資訊</h3>
        <div class="nav btn-group pull-right logger-toolbar">
            <? foreach($loggerCategories as $label => $value): ?>

            <button class="btn btn-info btn-logger" data-remote="<?=$this->url->get('frontend/index/loadLogger/'.$value);?>" href="javascript:void(0);"><i class="fa fa-gears"></i> <?=$label;?></button>
            <? endforeach; ?>
            <!-- 只有指定權限可以查看 -->
            <button class="btn btn-default" href="javascript:void(0);"><i class="fa fa-gears"></i> 完整</button>
        </div>
    </div>
    <div class="widget-content">
        <table id="loggerTable" class="table table-hover" style="table-layout: fixed;">
            <thead>
                <tr>
                    <th width='5%'>序號</th>
                    <th width='10%'>帳號</th>
                    <th width='20%'>時間</th>
                    <th width='65%'>紀錄訊息</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>
</aside>
<script type="text/javascript">
$(function(){
    var dTable = $('#loggerTable').DataTable({
        scrollY: "250px",
        bAutoWidth: false,
        scrollCollapse: true,
        lengthChange : false,
        paging: false,
        processing: true,
        serverSide: true,
        ajax : {
            url : $(".logger-toolbar button:first-child").data('remote'),
            type : "POST"
        },
        columns: [
            {
                "data": "ID" ,
                "sortable": false
            },
            {
                "data": "EmployeeName" ,
                "sortable": false
            },
            {
                "data": "twFormat",
                "sortable": false
            },
            {
                "data": "comments" ,
                "sortable": false
            }
        ]
    });


    $(".btn-logger").click(function(){
        URL = $(this).data('remote');
        dTable.ajax.url(URL).load();
    });
});
</script>